# API Reference <a name="API Reference" id="api-reference"></a>

## Constructs <a name="Constructs" id="constructs"></a>

### SinglePageApp <a name="awscdk-constructs-library.SinglePageApp" id="awscdkconstructslibrarysinglepageapp"></a>

#### Initializers <a name="awscdk-constructs-library.SinglePageApp.Initializer" id="awscdkconstructslibrarysinglepageappinitializer"></a>

```typescript
import { SinglePageApp } from 'awscdk-constructs-library'

new SinglePageApp(scope: Construct, id: string, props: SinglePageAppProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#awscdkconstructslibrarysinglepageappparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | *No description.* |
| [`id`](#awscdkconstructslibrarysinglepageappparameterid)<span title="Required">*</span> | `string` | *No description.* |
| [`props`](#awscdkconstructslibrarysinglepageappparameterprops)<span title="Required">*</span> | [`awscdk-constructs-library.SinglePageAppProps`](#awscdk-constructs-library.SinglePageAppProps) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="awscdk-constructs-library.SinglePageApp.parameter.scope" id="awscdkconstructslibrarysinglepageappparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

---

##### `id`<sup>Required</sup> <a name="awscdk-constructs-library.SinglePageApp.parameter.id" id="awscdkconstructslibrarysinglepageappparameterid"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="awscdk-constructs-library.SinglePageApp.parameter.props" id="awscdkconstructslibrarysinglepageappparameterprops"></a>

- *Type:* [`awscdk-constructs-library.SinglePageAppProps`](#awscdk-constructs-library.SinglePageAppProps)

---





## Structs <a name="Structs" id="structs"></a>

### SinglePageAppProps <a name="awscdk-constructs-library.SinglePageAppProps" id="awscdkconstructslibrarysinglepageappprops"></a>

Construct properties for `SinglePageApp`.

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SinglePageAppProps } from 'awscdk-constructs-library'

const singlePageAppProps: SinglePageAppProps = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`buildPath`](#awscdkconstructslibrarysinglepageapppropspropertybuildpath)<span title="Required">*</span> | `string` | The path to the build files that are to be deployed to S3. |
| [`domainPrefix`](#awscdkconstructslibrarysinglepageapppropspropertydomainprefix)<span title="Required">*</span> | `string` | The prefix for this app in the `privateHostedZone` for the app. |
| [`hostedZone`](#awscdkconstructslibrarysinglepageapppropspropertyhostedzone) | [`aws-cdk-lib.aws_route53.HostedZone`](#aws-cdk-lib.aws_route53.HostedZone) | Private hosted zone for DNS. |

---

##### `buildPath`<sup>Required</sup> <a name="awscdk-constructs-library.SinglePageAppProps.property.buildPath" id="awscdkconstructslibrarysinglepageapppropspropertybuildpath"></a>

```typescript
public readonly buildPath: string;
```

- *Type:* `string`

The path to the build files that are to be deployed to S3.

---

##### `domainPrefix`<sup>Required</sup> <a name="awscdk-constructs-library.SinglePageAppProps.property.domainPrefix" id="awscdkconstructslibrarysinglepageapppropspropertydomainprefix"></a>

```typescript
public readonly domainPrefix: string;
```

- *Type:* `string`

The prefix for this app in the `privateHostedZone` for the app.

It is assumed the user has checked to ensure the prefix has not been used.

---

##### `hostedZone`<sup>Optional</sup> <a name="awscdk-constructs-library.SinglePageAppProps.property.hostedZone" id="awscdkconstructslibrarysinglepageapppropspropertyhostedzone"></a>

```typescript
public readonly hostedZone: HostedZone;
```

- *Type:* [`aws-cdk-lib.aws_route53.HostedZone`](#aws-cdk-lib.aws_route53.HostedZone)
- *Default:* The default is the parent sparkgeo.dev hosted zone.

Private hosted zone for DNS.

---



